package zajecia;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class OdczytajOsoby {

	public static void main(String[] args) {
		// JDBC - Java Databse Connectivity
		String url = "jdbc:postgresql://localhost/kurs";
		try {
			Connection c = DriverManager.getConnection(url, "kurs", "abc123");
			System.out.println("Udało się połączyć. c = " + c);
			
			Statement stmt = c.createStatement();
			ResultSet rs = stmt.executeQuery("SELECT * FROM osoby");
			while(rs.next()) {
				String imie = rs.getString("imie");
				String nazwisko = rs.getString("nazwisko");
				System.out.println(imie + " " + nazwisko);
			}
			rs.close();
			stmt.close();
			c.close();
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
}
